Bug 178008 - Public key for xml-common-0.6.3-17.noarch.rpm is not installed
Public key for xml-common-0.6.3-17.noarch.rpm is not installed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sgml-common (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Archit Shah
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 05:35 EST by Abdul
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-26 11:44:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abdul 2006-01-17 05:35:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
First of all notice the difference in  name between bugzilla and repo. (xml-commons vs xml-common).

Second this is the output of yum:

Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID db42a60e
Public key for xml-common-0.6.3-17.noarch.rpm is not installed
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora (0x4F2A6FD2) is already installed


The GPG keys listed for the "Fedora Core 4 - i386 - Base" repository are already installed but they are not correct for this package.
Check that the correct key URLs are configured for this repository.

Version-Release number of selected component (if applicable):
xml-common-0.6.3-17.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1.yum install xml-to
2.
3.
  

Actual Results:  Public key for xml-common-0.6.3-17.noarch.rpm is not installed

Expected Results:  Public should be there

Additional info:
Comment 1 Archit Shah 2006-01-26 11:44:01 EST
xml-common is a subpackage of sgml-common, while xml-commons is an unrelated
package. The GPG problem can be worked around by running "rpm --import
/etc/pki/rpm-gpg/RPM-GPG-KEY".

This problem was discussed extensively here:

https://www.redhat.com/archives/fedora-maintainers/2005-July/msg00063.html

Other packages have encountered the same problem (e.g. bug160898, bug161786,
bug162302, bug162301, bug160436)


Note You need to log in before you can comment on or make changes to this bug.